Package com.sas.services.information.publicobject

# Interface DetailsProcessorInterface

All Superinterfaces:
  com.sas.services.information.publicobject.ProcessorInterface, `Remote`

public interface DetailsProcessorInterface extends ProcessorInterface
This interface is used to process/get the basic information necessary about an object, such as its description, keywords, and created/modified dates. Most applications use this information to display properties about an object.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  Name of this interface to be used when referencing this.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getCreateDate()`
  Get the date this object was created.
  `String`
  `getCreatedBy()`
  Gets the name of the user that created the object.
  `ResponsibilityDetails`
  `getCreatedByDetails()`
  Gets the identity information for the user that created the object.
  `String`
  `getDescription()`
  The description of this object.
  `String`
  `getDisplayName()`
  The display name of this object.
  `List<String>`
  `getKeywords()`
  Get the keywords associated to the object.
  `String`
  `getModifiedBy()`
  Gets the name of the user that modified the object.
  `ResponsibilityDetails`
  `getModifiedByDetails()`
  Gets the identity information for the user that modified the object.
  `Date`
  `getModifyDate()`
  Get the date this object was modified.
  `String`
  `getName()`
  The name of this object.
  `List<ResponsibilityDetails>`
  `getResponsibilities()`
  Gets the responsibilities associated to the public object.
  `TypeDescriptorInterface`
  `getType()`
  Get the type descriptor associated to the public object.
  `com.sas.util.UsageVersion`
  `getUsageVersion()`
  The usage version of this object.

  ### Methods inherited from interface com.sas.services.information.publicobject.ProcessorInterface

  `destroy, getPublicObject`

- ## Field Details

  - ### NAME

    static final String NAME
    Name of this interface to be used when referencing this.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getType

    TypeDescriptorInterface getType() throws ServiceException, RemoteException
    Get the type descriptor associated to the public object.
    Returns:
      the type descriptor
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getName

    String getName() throws ServiceException, RemoteException
    The name of this object.
    Returns:
      the object's name
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getDisplayName

    String getDisplayName() throws ServiceException, RemoteException
    The display name of this object. By default, most implementations will return the same value as `getName()`. However, implementations may choose to return a different value if applicable. If a different value is not avalaible, the object's name should be returned instead.
    Returns:
      the object's display name
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getDescription

    String getDescription() throws ServiceException, RemoteException
    The description of this object.
    Returns:
      the object's description
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getUsageVersion

    com.sas.util.UsageVersion getUsageVersion() throws ServiceException, RemoteException
    The usage version of this object. Returns a null value if a usage version was not found.
    Returns:
      the object's version
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getCreateDate

    Date getCreateDate() throws ServiceException, RemoteException
    Get the date this object was created.
    Returns:
      created date
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getCreatedBy

    String getCreatedBy() throws ServiceException, RemoteException
    Gets the name of the user that created the object.
    Returns:
      created by name
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getCreatedByDetails

    ResponsibilityDetails getCreatedByDetails() throws ServiceException, RemoteException
    Gets the identity information for the user that created the object.
    - To retrieve the identity's name, use `ResponsibilityDetails.getName()`.
    - To retrieve the identity's display name, use `ResponsibilityDetails.getUserName()`.
    Returns:
      created by information
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getModifyDate

    Date getModifyDate() throws ServiceException, RemoteException
    Get the date this object was modified.
    Returns:
      modified date
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getModifiedBy

    String getModifiedBy() throws ServiceException, RemoteException
    Gets the name of the user that modified the object.
    Returns:
      modified by name
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getModifiedByDetails

    ResponsibilityDetails getModifiedByDetails() throws ServiceException, RemoteException
    Gets the identity information for the user that modified the object.
    - To retrieve the identity's name, use `ResponsibilityDetails.getName()`.
    - To retrieve the identity's display name, use `ResponsibilityDetails.getUserName()`.
    Returns:
      modified by information
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getKeywords

    List<String> getKeywords() throws ServiceException, RemoteException
    Get the keywords associated to the object.
    Returns:
      list of keywords
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getResponsibilities

    List<ResponsibilityDetails> getResponsibilities() throws ServiceException, RemoteException
    Gets the responsibilities associated to the public object.
    Returns:
      list of responsibilities
    Throws:
      `ServiceException`
      `RemoteException`